curl --request PUT \
--url https://api.circle.com/v1/w3s/wallets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-Token: <x-user-token>' \
--data '
{
"name": "my wallet",
"refId": "customer_12345"
}
'import requests
url = "https://api.circle.com/v1/w3s/wallets/{id}"
payload = {
"name": "my wallet",
"refId": "customer_12345"
}
headers = {
"X-User-Token": "<x-user-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-User-Token': '<x-user-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'my wallet', refId: 'customer_12345'})
};
fetch('https://api.circle.com/v1/w3s/wallets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"wallet": {
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
"blockchain": "MATIC-AMOY",
"createDate": "2023-01-01T12:04:05Z",
"updateDate": "2023-01-01T12:04:05Z",
"state": "LIVE",
"walletSetId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"accountType": "EOA",
"name": "<string>",
"refId": "customer_12345",
"userId": "ext_user_id_1",
"initialPublicKey": "3eQoJ3ex6uWX3R8F1THF6Y6oBQwPYpF1X9HBM1gjqw7w"
}
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Update a wallet
Updates info for a single user-controlled wallet using it’s unique identifier.
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Headers
Unique system generated JWT session token for specific user.
Path Parameters
The universally unique identifier of the resource.
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
Schema for the request payload to update an existing wallet.
Name or description associated with the wallet or walletSet.
"my wallet"
Optional user-defined reference identifier for the wallet. Not used by Circle for wallet functionality. Used for internal tracking or associating wallets with entities in your own systems (for example, a customer or account ID).
"customer_12345"
Response
Successfully updated wallet metadata.
Show child attributes
Show child attributes
Was this page helpful?